<template>
  <router-link class="img-wrapper" :to="`/gifs/show/${gif.id}`">
    <img :key="gif.images.preview_gif.url" :src="gifSrc" class="pinned-image">
  </router-link>
</template>

<script>
  export default {
    name: 'gif-preview',
    props: ['gif', 'idx'],
    computed: {
      gifSrc () {
        if (this.idx > 2) {
          return this.gif.images.preview_gif.url
        } else {
          return this.gif.images.downsized.url
        }
      }
    }
  }
</script>

<style scoped>
  div {
  }

  .fade-enter-active, .fade-leave-active {
    transition: opacity .5s
  }
  .fade-enter, .fade-leave-to /* .fade-leave-active in <2.1.8 */ {
    opacity: 0
  }

  .img-wrapper {
    background-color: #f4f4f4;
    display: inline-block;
    font-size: 0;
    width: 32%;
    height: 100px;
    margin-bottom: 15px;
  }

  .img-wrapper:nth-child(1) {
    width: 66%;
    height: 200px;
  }

  .img-wrapper:nth-child(2) {
    height: 200px;
  }

  .pinned-image {
    object-fit: cover;
    height: 100%;
    width: 100%;
  }
</style>
